#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'

from zope.interface import classImplements

from onf_website.component.hearing import IHearingTarget
from pyams_content.features.alert import AlertItem, \
    AlertItemPermissionChecker as AlertItemPermissionCheckerBase, IAlertItem
from pyams_content.shared.common import IWfSharedContent
from pyams_form.interfaces.form import IFormContextPermissionChecker
from pyams_utils.adapter import adapter_config
from pyams_utils.traversing import get_parent


classImplements(AlertItem, IHearingTarget)


@adapter_config(context=IAlertItem, provides=IFormContextPermissionChecker)
class AlertItemPermissionChecker(AlertItemPermissionCheckerBase):
    """Alert item permission checker"""

    @property
    def edit_permission(self):
        parent = get_parent(self.context, IWfSharedContent)
        if parent is not None:
            checker = IFormContextPermissionChecker(parent)
            return checker.edit_permission
        return super().edit_permission
